libwrap not found (building netatalk on Solaris 9)

From: Chris Hoogendyk (hoogendyk_at_bio.umass.edu)
Date: 08/12/05

  • Next message: Warren Liang: "Cisco VPNclient does not work"
    Date: Fri, 12 Aug 2005 13:52:28 -0400
    To: Sun Managers List <sunmanagers@sunmanagers.org>
    
    

    Has anyone built netatalk on a Solaris 9 system with
    --enable-tcp-wrappers in the configure? (Or other software with similar
    issues?)

    I have tried:

      # LDFLAGS=-L/usr/sfw/lib
      # export LDFLAGS
      # CPPFLAGS=-I/usr/sfw/include
      # export CPPFLAGS
      # ./configure --enable-tcp-wrappers

    and it terminates with:

      checking whether to enable the TCP wrappers... configure: error:
    libwrap not found

    If I just leave off tcp-wrappers, everything works out alright. But,
    then, I don't have tcpwrappers built in. I want to use the Sun supplied
    version used by Solaris 9. It just makes sense, because the
    configuration is simpler. I could install the standard tcpwrappers from
    sunfreeware and just not use it for my normal system configuration. Then
    it would be available for the building of third party software that has
    trouble with the Solaris 9 stuff. But that is redundent and leads to
    additional maintenance and confusion.

    Suggestions?

    I put an excerpt from the configure file below (just the section that
    deals with tcpwrappers) as well as it's "help" output that mentions its
    specific options.

    I have all the gnu tools (gcc, make, and so on) for building this and
    have my PATH and LD_LIBRARY_PATH set appropriately to find and work with
    them. All of that is based on sunfreeware packages and has worked
    successfully with complex stuff like sendmail, milter greylist, and so on.

    TIA

    ---------------

    Chris Hoogendyk

    -
       O__ ---- Systems Administrator
      c/ /'_ --- Biology & Geology Departments
     (*) \(*) -- 140 Morrill Science Center
    ~~~~~~~~~~ - University of Massachusetts, Amherst

    <hoogendyk@bio.umass.edu>

    ---------------

    ----------------------------------------
    Excerpt of the configure file that just
    includes the section checking for
    tcpwrappers
    ----------------------------------------

            # Check whether --enable-tcp-wrappers or --disable-tcp-wrappers was given.
    if test "${enable_tcp_wrappers+set}" = set; then
      enableval="$enable_tcp_wrappers"

                            if test "x$enableval" = "xno"; then
                                    wrapcheck=no
                            else
                                    wrapcheck=yes
                            fi

    fi;

            enable=no
            netatalk_cv_tcpwrap=no
            if test "x$wrapcheck" != "xno"; then
                    saved_LIBS=$LIBS
                    LIBS="$LIBS -lwrap"
                    cat >conftest.$ac_ext <<_ACEOF
    #line $LINENO "configure"
    /* confdefs.h. */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h. */

    #include <tcpd.h>
    int allow_severity = 0;
    int deny_severity = 0;

    int
    main ()
    {

            tcpd_warn ("link test");

      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext conftest$ac_exeext
    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
      (eval $ac_link) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
             { ac_try='test -s conftest$ac_exeext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      netatalk_cv_tcpwrap=yes
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5

    netatalk_cv_tcpwrap=no
    fi
    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext

                    LIBS=$saved_LIBS
            fi

            echo "$as_me:$LINENO: checking whether to enable the TCP wrappers" >&5
    echo $ECHO_N "checking whether to enable the TCP wrappers... $ECHO_C" >&6
            if test "x$netatalk_cv_tcpwrap" = "xyes"; then

    cat >>confdefs.h <<\_ACEOF
    #define TCPWRAP 1
    _ACEOF

                    WRAP_LIBS="-lwrap"
                    echo "$as_me:$LINENO: result: yes" >&5
    echo "${ECHO_T}yes" >&6
            else
                    if test "x$wrapcheck" = "xyes"; then
                            { { echo "$as_me:$LINENO: error: libwrap not found" >&5
    echo "$as_me: error: libwrap not found" >&2;}
       { (exit 1); exit 1; }; }
                    else
                            echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
                    fi
            fi

    ----------------------------------------
    The "influential environment variables"
    are listed at the end of the help output
    ----------------------------------------

    # ./configure --help
    `configure' configures this package to adapt to many kinds of systems.

    Usage: ./configure [OPTION]... [VAR=VALUE]...

    To assign environment variables (e.g., CC, CFLAGS...), specify them as
    VAR=VALUE. See below for descriptions of some of the useful variables.

    Defaults for the options are specified in brackets.

    Configuration:
      -h, --help display this help and exit
          --help=short display options specific to this package
          --help=recursive display the short help of all the included packages
      -V, --version display version information and exit
      -q, --quiet, --silent do not print `checking...' messages
          --cache-file=FILE cache test results in FILE [disabled]
      -C, --config-cache alias for `--cache-file=config.cache'
      -n, --no-create do not create output files
          --srcdir=DIR find the sources in DIR [configure dir or `..']

    Installation directories:
      --prefix=PREFIX install architecture-independent files in PREFIX
                              [/usr/local]
      --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
                              [PREFIX]

    By default, `make install' will install all the files in
    `/usr/local/bin', `/usr/local/lib' etc. You can specify
    an installation prefix other than `/usr/local' using `--prefix',
    for instance `--prefix=$HOME'.

    For better control, use the options below.

    Fine tuning of the installation directories:
      --bindir=DIR user executables [EPREFIX/bin]
      --sbindir=DIR system admin executables [EPREFIX/sbin]
      --libexecdir=DIR program executables [EPREFIX/libexec]
      --datadir=DIR read-only architecture-independent data [PREFIX/share]
      --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
      --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
      --localstatedir=DIR modifiable single-machine data [PREFIX/var]
      --libdir=DIR object code libraries [EPREFIX/lib]
      --includedir=DIR C header files [PREFIX/include]
      --oldincludedir=DIR C header files for non-gcc [/usr/include]
      --infodir=DIR info documentation [PREFIX/info]
      --mandir=DIR man documentation [PREFIX/man]

    Program names:
      --program-prefix=PREFIX prepend PREFIX to installed program names
      --program-suffix=SUFFIX append SUFFIX to installed program names
      --program-transform-name=PROGRAM run sed PROGRAM on installed program names

    System types:
      --build=BUILD configure for building on BUILD [guessed]
      --host=HOST cross-compile to build programs to run on HOST [BUILD]
      --target=TARGET configure for building compilers for TARGET [HOST]

    Optional Features:
      --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
      --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
      --disable-dependency-tracking Speeds up one-time builds
      --enable-dependency-tracking Do not reject slow dependency extractors
      --enable-shared=PKGS build shared libraries default=yes
      --enable-static=PKGS build static libraries default=yes
      --enable-fast-install=PKGS optimize for fast installation default=yes
      --disable-libtool-lock avoid locking (might break parallel builds)
      --disable-admin-group disable admin group
      --enable-afs enable AFS support
      --disable-ddp disable DDP
      --enable-debug1 enable debug code
      --enable-debug enable verbose debug code
      --disable-afp3 disable AFP 3.x calls
      --disable-largefile omit support for large files
      --enable-dropkludge enable the experimental dropbox fix (INSECURE!)
      --enable-force-uidgid allow forcing of uid/gid per volume (BROKEN)
      --enable-srvloc[=DIR] enable Server Location Protocol (SLP) support [auto]
      --disable-shell-check disable checking for a valid shell
      --disable-tcp-wrappers disable TCP wrappers support
      --disable-locking disable system locking
      --enable-redhat use redhat-style sysv configuration
      --enable-suse use suse-style sysv configuration
      --enable-gentoo use gentoo-style sysv configuration
      --enable-cobalt use cobalt-style sysv configuration
      --enable-netbsd use NetBSD-style rc.d configuration
      --enable-debian use debian-style sysv configuration
      --enable-timelord enable compilation of timelord server
      --enable-a2boot enable compilation of Apple2 boot server
      --enable-cups Turn on CUPS support (default=auto)
      --enable-fhs use Filesystem Hierarchy Standard (FHS) compatibility
      --enable-pgp-uam enable build of PGP UAM module
      --enable-krb4-uam enable build of Kerberos v4 UAM module
      --enable-krbV-uam enable build of Kerberos V UAM module
      --enable-overwrite overwrite configuration files during installation

    Optional Packages:
      --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
      --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
      --with-gnu-ld assume the C compiler uses GNU ld default=no
      --with-pic try to use only PIC/non-PIC objects default=use both
      --with-pkgconfdir=DIR package specific configuration in DIR
                              [SYSCONF/netatalk]
      --with-message-dir=PATH path to server message files [PKGCONF/msg]
      --with-logfile=PATH path for file used by logger
      --with-cracklib=DICT enable/set location of cracklib dictionary
      --with-libiconv=BASEDIR Use libiconv in BASEDIR/lib and BASEDIR/include [default=auto]
      --with-cnid-cdb-backend build CNID with Concurrent BDB Data Store
      --with-cnid-dbd-backend build CNID with Database Daemon Data Store
      --with-cnid-dbd-txn build transaction support for dbd backend
      --with-cnid-db3-backend build CNID with transactional BDB Data Store
      --with-cnid-last-backend build LAST CNID scheme
      --with-cnid-hash-backend build HASH CNID scheme
      --with-cnid-tdb-backend build DID CNID scheme
      --with-cnid-mtab-backend build MTAB CNID scheme
      --with-cnid-default-backend=val set default DID scheme
      --with-bdb=PATH specify path to Berkeley DB installation[auto]
      --with-pam[=PATH] specify path to PAM installation [auto]
      --with-shadow enable shadow password support [auto]
      --with-uams-path=PATH path to UAMs [PKGCONF/uams]
      --with-spooldir=PATH path for spooldir used for CUPS support (LOCALSTATEDIR/spool/netatalk)
      --with-ssl-dir=PATH specify path to OpenSSL installation (must contain
                              lib and include dirs)
      --with-gssapi[=PATH] path to GSSAPI for Kerberos V UAM [auto]

    Some influential environment variables:
      CC C compiler command
      CFLAGS C compiler flags
      LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
                  nonstandard directory <lib dir>
      CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have
                  headers in a nonstandard directory <include dir>
      CPP C preprocessor

    Use these variables to override the choices made by `configure' or to help
    it to find libraries and programs with nonstandard names/locations.
    _______________________________________________
    sunmanagers mailing list
    sunmanagers@sunmanagers.org
    http://www.sunmanagers.org/mailman/listinfo/sunmanagers


  • Next message: Warren Liang: "Cisco VPNclient does not work"

    Relevant Pages

    • Solaris 9 install server
      ... Executing begin script "install_begin"... ... installation). ... > Solaris 8 setup as an nstall server. ... pseudo-device: devinfo0 ...
      (SunManagers)
    • Problems
      ... I had a problem installing linux on a ultra5 with solaris 2.7 and solaris 2.8 ... Solaris I tried to make a boot floppy for linux but ... The Debian linux installation has overwritten my boot block for solaris. ...
      (Debian-User)
    • Re: sunmanagers Digest, Vol 8, Issue 7 ... Slow Boot Up
      ... Just checking if we have the same cause for slow boot up? ... Solaris 8 Problem After Patches Installed ... Using PuTTY to send Control-? ... After installation of Solaris 8 on E250 I had to install Raptor GFX Open ...
      (SunManagers)
    • Re: Is Sun sincere about encouraging new Solaris users?
      ... It might help to review my recent experiences with Ubuntu (starting ... installer CD and did the actual installation. ... Sun does not seem to offer any comparable path into Solaris. ...
      (comp.unix.solaris)
    • UPDATE dmp and 3510fc troubles
      ... I've loaded the latest Solaris 9 recommended cluster. ... particular installation and attached hardware. ... You're back level on Solaris and Veritas. ... Having a problem with DMP not disabling a controller once the pathway is ...
      (SunManagers)